import type { RenovateConfig } from '../../../config/types';
import type { BranchCache } from '../../../util/cache/repository/types';
import { BranchConfig } from '../../types';
export declare type WriteUpdateResult = 'done' | 'automerged';
export declare function canSkipBranchUpdateCheck(branchState: BranchCache, branchFingerprint: string): boolean;
export declare function syncBranchState(branchName: string, baseBranch: string): BranchCache;
export declare function writeUpdates(config: RenovateConfig, allBranches: BranchConfig[]): Promise<WriteUpdateResult>;
